CifFileReadDef Class Reference

Private class that represents a CIF parser controller. More...

`#include <CifFileReadDef.h>`

Collaboration diagram for CifFileReadDef:

## Public Member Functions

| CifFileReadDef (std::vector< std::string > dblist, std::vector< std::string >clist, type dbtype=A, type ctype=A)
| CifFileReadDef ()
| ~CifFileReadDef ()
void | SetDataBlockList (std::vector< std::string > dblist, type dbtype=A)
void | SetCategoryList (std::vector< std::string >clist, type ctype=A)
void | SetDataBlockListType (type dbtype=A)
void | SetCategoryListType (type ctype=A)
int | AreAllCatsRead ()
void | IncreaseNumReadCats ()
int | Category_OK (const std::string &categoryName)
int | Datablock_OK (const std::string &datablockName)

## Protected Attributes

std::vector< std::string > | _datablocklist
std::vector< std::string > | _categorylist
type | _datablocklisttype
type | _categorylisttype

## Detailed Description

Private class that represents a CIF parser controller.

## Constructor & Destructor Documentation

## CifFileReadDef() [1/2]

CifFileReadDef::CifFileReadDef | ( | std::vector< std::string > | dblist,
|  | std::vector< std::string > | clist,
|  | type | dbtype = A,
|  | type | ctype = A )

References A.

## CifFileReadDef() [2/2]

CifFileReadDef::CifFileReadDef | ( |  | ) |

inline

References INVALID_NUM_CATS.

## ~CifFileReadDef()

CifFileReadDef::~CifFileReadDef | ( |  | ) |

inline

## Member Function Documentation

## AreAllCatsRead()

int CifFileReadDef::AreAllCatsRead | ( |  | ) |

## Category_OK()

int CifFileReadDef::Category_OK | ( | const std::string & | categoryName | ) |

## Datablock_OK()

int CifFileReadDef::Datablock_OK | ( | const std::string & | datablockName | ) |

## IncreaseNumReadCats()

void CifFileReadDef::IncreaseNumReadCats | ( |  | ) |

## SetCategoryList()

void CifFileReadDef::SetCategoryList | ( | std::vector< std::string > | clist,
|  | type | ctype = A )

References A.

## SetCategoryListType()

void CifFileReadDef::SetCategoryListType | ( | type | ctype = A | ) |

inline

References _categorylisttype, and A.

## SetDataBlockList()

void CifFileReadDef::SetDataBlockList | ( | std::vector< std::string > | dblist,
|  | type | dbtype = A )

References A.

## SetDataBlockListType()

void CifFileReadDef::SetDataBlockListType | ( | type | dbtype = A | ) |

inline

References _datablocklisttype, and A.

## Member Data Documentation

## _categorylist

std::vector<std::string> CifFileReadDef::_categorylist

protected

## _categorylisttype

type CifFileReadDef::_categorylisttype

protected

Referenced by SetCategoryListType().

## _datablocklist

std::vector<std::string> CifFileReadDef::_datablocklist

protected

## _datablocklisttype

type CifFileReadDef::_datablocklisttype

protected

Referenced by SetDataBlockListType().

The documentation for this class was generated from the following file:

- rcsb/CifFileReadDef.h